CVE-2017-18238

NameCVE-2017-18238
DescriptionAn issue was discovered in Exempi before 2.4.4. The TradQT_Manager::ParseCachedBoxes function in XMPFiles/source/FormatSupport/QuickTime_Support.cpp allows remote attackers to cause a denial of service (infinite loop) via crafted XMP data in a .qt file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1310-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
exempi (PTS)jessie2.2.1-2vulnerable
stretch2.4.1-1vulnerable
buster2.5.0-2fixed
bullseye, sid2.5.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
exempisource(unstable)2.4.4-1low
exempisourcewheezy2.2.0-1+deb7u1DLA-1310-1

Notes

[stretch] - exempi <no-dsa> (Minor issue)
[jessie] - exempi <no-dsa> (Minor issue)
https://bugs.freedesktop.org/show_bug.cgi?id=102483
https://cgit.freedesktop.org/exempi/commit/?id=886cd1d2314755adb1f4cdb99c16ff00830f0331

Search for package or bug name: Reporting problems